kepa
Device/getTerminalTipAdjustment

Get tip-adjustment recovery status

GET/api/v1/terminal/payments/{id}/tip-adjustment
Returns the durable outcome used to recover an unknown tip-adjustment response safely.
Path parameters
idstringRequired

Response

application/json

paymentIdstringRequired
Example "0195d46e-7088-7cc4-a9b2-5f9273cd63b8"
idempotencyKeystringRequired
Example "sale-01JQXYZ123456"
tipAmountMinorintegerRequired
Example 0
adjustedAmountMinorintegerRequired
statusenumRequired
pendingprocessingsucceededfailed
failureReasonstringnullable
retryablebooleanRequired

getTerminalTipAdjustment

GETGo API
https://api.kepapay.co/api/v1/terminal/payments/{id}/tip-adjustment
Request
curl https://api.kepapay.co/api/v1/terminal/payments/{id}/tip-adjustment \
  -H "Authorization: Bearer $KEPA_DEVICE_TOKEN"
Response
{
  "paymentId": "0195d46e-7088-7cc4-a9b2-5f9273cd63b8",
  "idempotencyKey": "sale-01JQXYZ123456",
  "tipAmountMinor": 0,
  "adjustedAmountMinor": 0,
  "status": "pending",
  "failureReason": "string",
  "retryable": true
}